Problème : Comment mettre à niveau launchpad ?

Il existe des correctifs dans le dernier Apache Felix Framework, comment puis-je le mettre à jour dans Adobe Experience Manager ?

Solution

Procédez comme suit :

  1. Téléchargez le nouveau jar de base du référentiel officiel Maven à http://search.maven.org/#search%7Cga%7C1%7Corg.apache.sling.launchpad.base. Vous pouvez choisir la version. A l'heure de la rédaction de cet article, 5.0.1-2.6.2 est la version recommandée (elle utilise toujours javax.servlet.api 2.5). Cependant, vous pouvez utiliser 5.2.0-2.6.4 si vous ne n'avez pas de dépendances sur la version antérieure de l'API servlet.
  2. Arrêtez l’instance.
  3. Remplacez le jar de base dans l’installation (par défaut dans crx-quickstart/launchpad).
  4. Redémarrez l’instance avec -Dorg.apache.sling.launchpad.startupmode=RESTART.

Validez de votre côté si vous avez besoin de résoudre ce problème et notez la clause de non responsabilité générale sur l'utilisation en production

CLAUSE DE NON-RESPONSABILITÉ : LA BIBLIOTHÈQUE TIERCE EST FOURNIE « TELLE QUELLE » ET SANS GARANTIE DE QUELQUE TYPE, Y COMPRIS LES GARANTIES OU LES CONDITIONS DE QUALITÉ MARCHANDE, D’ADÉQUATION À UN OBJECTIF PARTICULIER, DE QUALITÉ SATISFAISANTE, D’ABSENCE DE VIRUS, DE TITRE, DE NON-CONTREFAÇON OU DE PRÉCISION ET D’EXHAUSTIVITÉ DES RÉPONSES, RÉSULTATS, ABSENCES TRANSITOIRES ET/OU ABSENCE D'EFFORT PROFESSIONNEL. ADOBE NE GARANTIT PAS CONTRE TOUT BOGUE, ERREUR, OMISSION, DÉFAUT, DÉFICIENCE OU NON-CONFORMITÉ DANS LA BIBLIOTHÈQUE TIERCE. LES BIBLIOTHÈQUES TIERCES NE SONT PAS TESTÉES PAR L’ASSURANCE DE QUALITÉ. UTILISEZ-LES À VOS RISQUES ET PÉRILS. ADOBE RECOMMANDE QUE CETTE BIBLIOTHÈQUE TIERCE SOIT UTILISÉE À DES FINS DE DÉVELOPPEMENT. SI VOUS DEVEZ EXPLOITER CETTE BIBLIOTHÈQUE TIERCE DANS UN SYSTÈME DE PRODUCTION, VOUS DEVEZ SOIGNEUSEMENT TESTER VOTRE APPLICATION. ADOBE NE SAURAIT ÊTRE TENU POUR RESPONSABLE DES DOMMAGES SUSCEPTIBLES D'ÊTRE PROVOQUÉS PAR CETTE BIBLIOTHÈQUE TIERCE.

S'applique à : CQ 5.x / AEM 6.x toute version qui utilise ce jar launchpad de base

A propos des dépendances de l’API servlet : l’API servlet est fournie par le moteur de servlet CQSE, Felix / Jetty HTTP ou autre (Websphere, Weblogic, Tomcat, JBoss, etc.). Vérifiez s’il fonctionne avec la base de launchpad disponible dans le référentiel Maven (vous pouvez vérifier les informations concernant la dépendance sur l’API servlet).

Ce produit est distribué sous licence Creative Commons Attribution - Pas d’utilisation commerciale - Partage à l’identique 3.0 non transposé  Les publications Twitter™ et Facebook ne sont pas couvertes par les dispositions Creative Commons.

Mentions légales   |   Politique de confidentialité en ligne